跳到主要內容

Chakra Linux安裝 AMD Catalyst 驅動程式教學

AMD(ATI)顯示卡在 Chakra Linux 上有二種驅動程式可以選用:Catalyst 驅動程式與  radeonhd 開源驅動程式。Catalyst 對新顯示卡的支援較好,但為專有驅動程式。radeonhd 為自由及開放原始碼驅動程式。 

如果你想要使用閉源的 Catalyst 驅動程式,你可以透過以下步驟安裝。但如果在安裝 Chakra GNU/Linux 時,勾選安裝專有驅動程式。那麼 Chakra Linux 已經自動安裝好 Catalyst 驅動程式,不需進行以下步驟。

安裝驅動程式

1. 首先移除 radeonhd 驅動程式

sudo pacman -R xf86-video-ati


2. 安裝 Catalyst 驅動程式。HD 4XXX 及之前顯示卡因為官方驅動不再支援新版的 X server,因此請使用自由的 xf86-video-ati 驅動程式。(使用 hwinfo --gfxcard,便可以知道你的顯示卡版本)

sudo pacman -S catalys catalyst-libgl
sudo modprobe fglrx

*如果你是用 LTS 版本的 Linux 核心請改裝 LTS 版本的驅動程式:

sudo pacman -S catalys-lts catalyst-libgl
sudo modprobe fglrx


3. 重新開機後,就可以使用 Catalyst 驅動程式。


其他設定

如果你在開機、休眠時遇到問題,停用 KMS(Kernel-based Mode-Setting)或許可以解決問題。

1. 在 /etc/default/grub 中找到下行文字:

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"

在該行的末尾加上 nomodeset,改成如下:

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nomodeset"

2. 最後使用以下指令更新 grub:

sudo update-grub


顯示卡驅動程式相關教學:
AMD 顯示卡使用開源的 radeonhd 驅動程式
nvidia 顯示卡使用官方驅動程式

留言

這個網誌中的熱門文章

Krita 自由的專業繪圖軟體

Krita 是一套自由的數位繪圖與影像處理軟體。提供大量的擬真筆刷(如色鉛筆、油畫、水彩等)、平滑的繪圖板壓感反應、直覺化操作、以及各種特效與濾鏡等多樣化的影像處理功能。

Krita 已經被許多畫家採用進行創作(如 David RevoyRamon Miranda等),你可以從 Krita 網站上找到這些畫家的採訪。此外巴黎第八大學也選擇使用 Krita 取代 Photoshop 作為教學使用。目前 Krita 支援 Linux、Windows、Mac 等作業系統。

MuseScore 樂譜製作教學

MuseScore 是一款樂譜編輯軟體。支援使用滑鼠或 MIDI 鍵盤輸入音符到五線譜頁面上,並且可以即時播放樂譜。除了可以將樂譜輸出成 PDF、MusicXML、Postscript、PNG、SVG 格式。MuseScore 也可以將編曲內容輸出成音樂格式如 midi、wave、flac、ogg。並且 MuseScore 支援 Linux、Windows、Mac 等多種作業系統。

這篇文章將介紹如何使用 MuseScore 製作樂譜,以及在樂譜上加上歌詞。

安裝 MuseScore

* ChakraArch Linux 請從以下二種方法選擇一種安裝
   1. 開啟 Octopi 選擇 musescore 安裝
  2. 開啟 Konsole,輸入指令:sudo pacman -S musescore

Windows & macOS:請從下載頁面下載安裝檔安裝。

UbuntuDebian 、OpenSUSEFedora 等 Linux 發行板:請從下載頁面下載 Appimage 檔直接執行即可使用。

使用 Win32DiskImager 製作 Live USB

在 Windows 下我們可以使用  Win32DiskImager 這套軟體,用很簡單方法就能製作出 Live USB喔!請注意 USB 隨身碟上的原先資料會被清空,請先備份。

1. 因為 Win32DiskImager 只支援 .img 副檔名。如果要製作的映像檔的副檔名是 *.iso,在開始操作前我們要把檔名先改成 *.img。

2. 接者到這個網址下載 Win32DiskImager 程式,解壓縮後執行 Win32DiskImager.exe。
    1.0.0 之後的版本支援 Windows 7/8.1/10 與 Windows Server 2008/2012/2016。Windows XP/Vista 使用者請使用 0.9 版。